Bug 116622 - [MAINTAINER] games/crafty: fix book conflict
Summary: [MAINTAINER] games/crafty: fix book conflict
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-25 02:10 UTC by shoemaker
Modified: 2007-09-25 07:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shoemaker 2007-09-25 02:10:00 UTC
	Patch to fix book.bin conflict noted in email from user.  If
	you install a book first, crafty port complains about it.
	Remove book installation from crafty.

Fix: 

----------------------------------------------------------------------
Free pop3 email with a spam filter.
http://www.bluebottle.com/tag/5--8P3mXIyUcOzo3gKqG4ZHPq3g36gn4bac04DTj8jDLbU05NWV
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/tmp/patch.diff
#
echo x - /tmp/patch.diff
sed 's/^X//' >/tmp/patch.diff << 'END-of-/tmp/patch.diff'
Xdiff -ruN /usr/ports/games/crafty/Makefile /tmp/crafty/Makefile
X--- /usr/ports/games/crafty/Makefile	2007-09-22 21:44:46.000000000 -0600
X+++ /tmp/crafty/Makefile	2007-09-24 18:50:07.000000000 -0600
X@@ -59,12 +59,6 @@
X 
X MAKE_ENV+=	opt="${OPT}" target=${OPSYS} CXFLAGS="${CXXFLAGS}"
X 
X-post-extract:
X-	${CP} ${DISTDIR}/${DIST_SUBDIR}/start.pgn ${WRKSRC}/start.pgn
X-
X-post-build:
X-	(cd ${WRKSRC}; ./crafty bookpath=. <${FILESDIR}/books-building)
X-
X do-install:
X 	${INSTALL_PROGRAM} ${WRKSRC}/crafty ${PREFIX}/bin/crafty
X 	${CHOWN} root:nogroup ${PREFIX}/bin/crafty
X@@ -77,7 +71,6 @@
X 	${INSTALL_DATA} ${WRKSRC}/position.bin ${PREFIX}/lib/crafty/position.bin
X 	${INSTALL_DATA} ${WRKSRC}/position.lrn ${PREFIX}/lib/crafty/position.lrn
X 	${INSTALL_DATA} ${WRKSRC}/crafty.hlp ${PREFIX}/lib/crafty/crafty.hlp
X-	${TOUCH} ${PREFIX}/lib/crafty/book.bin
X 	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/book*
X 	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/position*
X 	${CHMOD} 664 ${PREFIX}/lib/crafty/book*
Xdiff -ruN /usr/ports/games/crafty/files/books-building /tmp/crafty/files/books-building
X--- /usr/ports/games/crafty/files/books-building	1998-05-31 22:56:08.000000000 -0600
X+++ /tmp/crafty/files/books-building	1969-12-31 17:00:00.000000000 -0700
X@@ -1,2 +0,0 @@
X-books create start.pgn 60
X-quit
Xdiff -ruN /usr/ports/games/crafty/pkg-plist /tmp/crafty/pkg-plist
X--- /usr/ports/games/crafty/pkg-plist	2007-09-11 06:00:42.000000000 -0600
X+++ /tmp/crafty/pkg-plist	2007-09-24 18:50:33.000000000 -0600
X@@ -1,5 +1,4 @@
X bin/crafty
X-lib/crafty/book.bin
X lib/crafty/book.lrn
X lib/crafty/books.bin
X lib/crafty/crafty.hlp
END-of-/tmp/patch.diff
exit
How-To-Repeat: 	See above.
Comment 1 shoemaker 2007-09-25 02:36:25 UTC
Actually, books.bin is still needed, so lets keep it.  It shouldn't
cause any conflicts; it's just the smaller 'programmable' book.

Please apply the following patch instead of the original:


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/tmp/patch.diff
#
echo x - /tmp/patch.diff
sed 's/^X//' >/tmp/patch.diff << 'END-of-/tmp/patch.diff'
Xdiff -ruN /usr/ports/games/crafty/Makefile /tmp/crafty/Makefile
X--- /usr/ports/games/crafty/Makefile	2007-09-22 21:44:46.000000000 -0600
X+++ /tmp/crafty/Makefile	2007-09-24 19:31:07.000000000 -0600
X@@ -7,7 +7,7 @@
X 
X PORTNAME=	crafty
X PORTVERSION=	20.14
X-PORTREVISION=	1
X+PORTREVISION=	20070924
X CATEGORIES=	games
X MASTER_SITES=	ftp://ftp.cis.uab.edu/pub/hyatt/pgn/:data \
X 		ftp://ftp.cis.uab.edu/pub/hyatt/documentation/:doc \
X@@ -77,7 +77,6 @@
X 	${INSTALL_DATA} ${WRKSRC}/position.bin ${PREFIX}/lib/crafty/position.bin
X 	${INSTALL_DATA} ${WRKSRC}/position.lrn ${PREFIX}/lib/crafty/position.lrn
X 	${INSTALL_DATA} ${WRKSRC}/crafty.hlp ${PREFIX}/lib/crafty/crafty.hlp
X-	${TOUCH} ${PREFIX}/lib/crafty/book.bin
X 	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/book*
X 	${CHOWN} root:nogroup ${PREFIX}/lib/crafty/position*
X 	${CHMOD} 664 ${PREFIX}/lib/crafty/book*
Xdiff -ruN /usr/ports/games/crafty/pkg-plist /tmp/crafty/pkg-plist
X--- /usr/ports/games/crafty/pkg-plist	2007-09-11 06:00:42.000000000 -0600
X+++ /tmp/crafty/pkg-plist	2007-09-24 19:31:13.000000000 -0600
X@@ -1,5 +1,4 @@
X bin/crafty
X-lib/crafty/book.bin
X lib/crafty/book.lrn
X lib/crafty/books.bin
X lib/crafty/crafty.hlp
END-of-/tmp/patch.diff
exit

----------------------------------------------------------------------
Free pop3 email with a spam filter.
http://www.bluebottle.com/tag/5
Comment 2 Rong-En Fan freebsd_committer 2007-09-25 06:51:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-09-25 06:51:31 UTC
rafan       2007-09-25 05:51:24 UTC

  FreeBSD ports repository

  Modified files:
    games/crafty         Makefile pkg-plist 
  Log:
  - Don't install books.bin in this port. That file should be installed by
    one of games/crafty-open-* port.
  
  PR:             ports/116622
  Submitted by:   J Shoemaker <shoemaker at bluebottle.com> (maintainer)
  Reported by:    pointyhat via pav
  
  Revision  Changes    Path
  1.36      +1 -2      ports/games/crafty/Makefile
  1.8       +0 -1      ports/games/crafty/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"